VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::metamodel::Package Interface Reference

The `Package` interface provides methods to retrieve metamodel information about a package element in the interface definition language. More...

Inherited by vmware::vapi::metadata::metamodel::PackageStub.

List of all members.

## Public Member Functions
global::System.Collections.Generic.List < string > | List ()
| Returns the identifiers for the packages elements that are contained in all the registered component elements.
global::System.Collections.Generic.List < string > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers for the packages elements that are contained in all the registered component elements.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync ()
| Returns the identifiers for the packages elements that are contained in all the registered component elements.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers for the packages elements that are contained in all the registered component elements.
vmware.vapi.metadata.metamodel.PackageInfo | Get (string packageId)
| Retrieves information about the package element corresponding to packageId .
vmware.vapi.metadata.metamodel.PackageInfo | Get (string packageId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves information about the package element corresponding to packageId .
global::System.Threading.Tasks.Task < vmware.vapi.metadata.metamodel.PackageInfo > | GetAsync (string packageId)
| Retrieves information about the package element corresponding to packageId .
global::System.Threading.Tasks.Task < vmware.vapi.metadata.metamodel.PackageInfo > | GetAsync (string packageId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves information about the package element corresponding to packageId .

## Detailed Description

The `Package` interface provides methods to retrieve metamodel information about a package element in the interface definition language.

A package is a logical grouping of services, structures and enumerations. A package element describes the package. It contains the service elements, structure elements and enumeration elements that are grouped together.

## Member Function Documentation

vmware.vapi.metadata.metamodel.PackageInfo vmware::vapi::metadata::metamodel::Package::Get | ( | string | packageId | ) |

Retrieves information about the package element corresponding to packageId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the package element associated with packageId does not exist.

Parameters:

  packageId | Identifier of the package element. The parameter must be an identifier for the resource type: `com.vmware.vapi.package` .

Returns:
  The PackageInfo instance that corresponds to packageId .

Implemented in vmware::vapi::metadata::metamodel::PackageStub.

vmware.vapi.metadata.metamodel.PackageInfo vmware::vapi::metadata::metamodel::Package::Get | ( | string | packageId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Retrieves information about the package element corresponding to packageId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the package element associated with packageId does not exist.

Parameters:

  packageId | Identifier of the package element. The parameter must be an identifier for the resource type: `com.vmware.vapi.package` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The PackageInfo instance that corresponds to packageId .

Implemented in vmware::vapi::metadata::metamodel::PackageStub.

global::System.Threading.Tasks.Task<vmware.vapi.metadata.metamodel.PackageInfo> vmware::vapi::metadata::metamodel::Package::GetAsync | ( | string | packageId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Retrieves information about the package element corresponding to packageId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the package element associated with packageId does not exist.

Parameters:

  packageId | Identifier of the package element. The parameter must be an identifier for the resource type: `com.vmware.vapi.package` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The PackageInfo instance that corresponds to packageId .

Implemented in vmware::vapi::metadata::metamodel::PackageStub.

global::System.Threading.Tasks.Task<vmware.vapi.metadata.metamodel.PackageInfo> vmware::vapi::metadata::metamodel::Package::GetAsync | ( | string | packageId | ) |

Retrieves information about the package element corresponding to packageId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the package element associated with packageId does not exist.

Parameters:

  packageId | Identifier of the package element. The parameter must be an identifier for the resource type: `com.vmware.vapi.package` .

Returns:
  The PackageInfo instance that corresponds to packageId .

Implemented in vmware::vapi::metadata::metamodel::PackageStub.

global::System.Collections.Generic.List<string> vmware::vapi::metadata::metamodel::Package::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns the identifiers for the packages elements that are contained in all the registered component elements.

Returns:
  The list of identifiers for the package elements that are contained in all the registered component elements. The result will contain identifiers for the resource type: `com.vmware.vapi.package` .

Implemented in vmware::vapi::metadata::metamodel::PackageStub.

global::System.Collections.Generic.List<string> vmware::vapi::metadata::metamodel::Package::List | ( |  | ) |

Returns the identifiers for the packages elements that are contained in all the registered component elements.

Returns:
  The list of identifiers for the package elements that are contained in all the registered component elements. The result will contain identifiers for the resource type: `com.vmware.vapi.package` .

Implemented in vmware::vapi::metadata::metamodel::PackageStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::vapi::metadata::metamodel::Package::ListAsync | ( |  | ) |

Returns the identifiers for the packages elements that are contained in all the registered component elements.

Returns:
  The list of identifiers for the package elements that are contained in all the registered component elements. The result will contain identifiers for the resource type: `com.vmware.vapi.package` .

Implemented in vmware::vapi::metadata::metamodel::PackageStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::vapi::metadata::metamodel::Package::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns the identifiers for the packages elements that are contained in all the registered component elements.

Returns:
  The list of identifiers for the package elements that are contained in all the registered component elements. The result will contain identifiers for the resource type: `com.vmware.vapi.package` .

Implemented in vmware::vapi::metadata::metamodel::PackageStub.

The documentation for this interface was generated from the following file:

- metamodel/Package.cs